// Listing 2: JavaScript - Stepper-Motor antreiben
var five = require("johnny-five");
var board = new five.Board();
board.on("ready", function() {
var stepper = new five.Stepper({
type: five.Stepper.TYPE.DRIVER,
stepsPerRev: 200,
pins: {
step: 12,
dir: 11
}
});
// Volle 10 Drehungen gegen Uhrzeigersinn bei
// 180 rpm mit Beschleunigung und Abbremsung
stepper.rpm(180).ccw().accel(1600).decel(1600).step(2000,
function() {
console.log("Erste Bewegung beendet");
// Ist die Bewegung abgeschlossen, erfolgen 10 Umdrehungen
// im Uhrzeigersinn mit zuvor festgelegter Geschwindigkeit,
// Abbrems- und Beschleunigungsverhalten
stepper.step({
steps: 2000,
direction: five.Stepper.DIRECTION.CW
}, function() {
console.log("Komplette Bewegung beendet");
});
});
});

